org.apache.cassandra.schema

## Class Views.Builder

- java.lang.Object
- - org.apache.cassandra.schema.Views.Builder

Enclosing class:
  Views

    public static final class Views.Builder
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`Views.Builder` `add(java.lang.Iterable<ViewDefinition> views)`
`Views.Builder` `add(ViewDefinition view)`
`Views` `build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    public Views build()

#### add

    public Views.Builder add(ViewDefinition view)

#### add

    public Views.Builder add(java.lang.Iterable<ViewDefinition> views)